# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/pbs-config
# END SourceDeps(oneline)
%define oldname python-pbs
%define fedora 19
# %release is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define release 4
# %oldname or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name python-pbs
%define version 4.3.3
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

# For EPEL5 make a python26 package.
%if 0%{?rhel} == 5
%global altpython python26
%global __altpython %{_bindir}/python2.6
# Disable byte compiling. Do ourselves later.
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g') 
%endif

%if 0%{?fedora} >= 13
%global altpython python3
%global __altpython %{_bindir}/python3
%endif 

%if %{?altpython:1}%{!?altpython:0}
%{!?altpydir: %global altpydir %{_builddir}/%{altpython}-%{oldname}-%{version}-%{release}}
%{!?altpython_sitearch: %global altpython_sitearch %(%{__altpython} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:          python-module-pbs
Version:       4.3.3
Release:       alt2_4
Summary:       PBS/Torque python module

Group:         Development/Python
License:       OpenPBS
URL:           https://subtrac.sara.nl/oss/pbs_python
Source:        ftp://ftp.sara.nl/pub/outgoing/pbs_python-%{version}.tar.gz
Patch0:        pbs_python-4.3.3-space-tab.patch

%if 0%{?fedora} >= 14 || 0%{?rhel} >= 6
BuildRequires: libtorque-devel
%else
BuildRequires: libtorque-devel
%endif

BuildRequires: python-devel
BuildRequires: autoconf

# We don't want to RPM provide pbs.so
%{?filter_provides_in: %filter_provides_in .*/pbs/.*\.so}


%if 0%{?rhel} ==  5
Requires:      python(abi) = 2.4
%endif
Source44: import.info

%description
The python-pbs package provides pbs_python and is a wrapper class for 
the  Torque C library.  With this package you now can write 
utilities/extensions in Python instead of C. 

%if %{?altpython:1}%{!?altpython:0}
%package -n python3-module-pbs
Summary:        PBS/Torque python module
Group:          Development/Python

%if %{?altpython:1}%{!?altpython:0}
%if 0%{?rhel} == 5
Requires:       python(abi) = 2.6
%endif
# Required for 2to3
%if 0%{?fedora} >= 13
BuildRequires: python-tools-2to3 python-tools-i18n python-tools-idle python-tools-pynche python-tools-smtpd
%endif
BuildRequires:  %{altpython}-devel
%endif #end of altpython.

%description -n python3-module-pbs
The %{altpython}-pbs package provides pbs_python and is a 
wrapper class for the  Torque C library.  With this package 
you now can write utilities/extensions in Python instead of C. 

This package contains the pbs python module for %{altpython}
%endif #end of altpython.

%prep
%setup -q -n pbs_python-%{version}
%patch0 -p1

chmod a-x examples/*

%if %{?altpython:1}%{!?altpython:0}
rm -rf   %{altpydir}
mkdir -p %{altpydir}
cp -a *  %{altpydir}
pushd %{altpydir}
%if 0%{?fedora} >= 13
2to3 --write --nobackups .
%endif
popd
%endif


%build
%configure
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if %{?altpython:1}%{!?altpython:0}
pushd %{altpydir}
%configure --with-python=%{__altpython}
%if 0%{?fedora} >= 13
2to3 --write --nobackups setup.py
%endif

CFLAGS="$RPM_OPT_FLAGS" %{__altpython} setup.py build
popd
%endif

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT%{python_sitelibdir}/pbs/_pbs.so

%if %{?altpython:1}%{!?altpython:0}
pushd %{altpydir}
%{__altpython} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

%if 0%{?fedora} < 5 && 0%{?rhel} < 6
%{__python} -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 10, "%{python_sitelibdir}", 1)' > /dev/null
%{__python} -O -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT"'", 10, "%{python_sitelibdir}", 1)' > /dev/null
%if %{?altpython:1}%{!?altpython:0}
%{__altpython} -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT%{altpython_sitearch}"'", 10, "%{altpython_sitearch}", 1)' > /dev/null
%{__altpython} -O -c 'import compileall; compileall.compile_dir("'"$RPM_BUILD_ROOT%{altpython_sitearch}"'", 10, "%{altpython_sitearch}", 1)' > /dev/null
%endif
%endif

%files
%doc README examples LICENSE.openpbs CHANGES
%{python_sitelibdir}/pbs.pth
%{python_sitelibdir}/pbs

%if %{?altpython:1}%{!?altpython:0}
%files -n python3-module-pbs
%doc README examples LICENSE.openpbs CHANGES
%{altpython_sitearch}/pbs.pth
%{altpython_sitearch}/pbs
%endif

%changelog
* Tue Mar 12 2013 Cronbuild Service <cronbuild@altlinux.org> 4.3.3-alt2_4
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 4.3.3-alt1_4
- update to new release by fcimport

* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 4.3.3-alt1_3
- initial fc import

